Getting A staged product's properties

Getting A staged product's properties
Getting a staged product's properties

Returns a list of all of the product's properties, along with currently set values.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/properties
COPY
Path Parameters
string
product_guid
Required

The guid of the product

Query Parameters
boolean
redact
Optional

(Optional) If set to 'false', the response will include IaaS-specific secrets.


Responses
200

OK

{
    "properties": {
        "properties": {
            "configurable": false,
            "optional": false,
            "credential": false,
            "type": "string",
            "value": "string"
        }
    }
}
object
properties
Optional

properties


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns RequiresActiveProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/properties